NodeHandler
Date: 2014-08-08

melting.handlers

## Class NodeHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - melting.handlers.NodeHandler

- All Implemented Interfaces:
    org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler
  Direct Known Subclasses:
    DataHandler, EnergyHandler, ThermoHandler

      public abstract class NodeHandler
      extends org.xml.sax.helpers.DefaultHandler

  This class represents a Handler for any node of the data xml files. It extends DefaultHanlder.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected NodeHandler` | `subHandler` NodeHandler subHandler : the Handler for the subnode.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `completedNode()` if the node is completed, the boolean completed becomes true.
    `boolean` | `hasCompletedNode()` To check if a node is completed.

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `characters, endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### subHandler

          protected NodeHandler subHandler

      NodeHandler subHandler : the Handler for the subnode.

  - ### Constructor Detail

    - #### NodeHandler

          public NodeHandler()

  - ### Method Detail

    - #### hasCompletedNode

          public boolean hasCompletedNode()

      To check if a node is completed.
      Returns:
        true if the node is completed.

    - #### completedNode

          protected void completedNode()

      if the node is completed, the boolean completed becomes true.